VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
vmware::vapi::std::errors::UnexpectedInput Class Reference

The `UnexpectedInput` error indicates that the request contained a parameter or field whose name is not known by the server. More...

Inherits vmware::vapi::std::errors::Error.

List of all members.

## Public Member Functions
| UnexpectedInput (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages, vmware.vapi.bindings.IStructure data)
| Creates a new instance of this type using the given arguments.
| UnexpectedInput ()
| Creates a default new instance.
override vmware.vapi.bindings.type.StructType | _GetType ()
override vmware.vapi.data.StructValue | _GetDataValue ()
override void | _Validate ()
override bool | _HasTypeNameOf< T > ()
override T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
## Properties
override string | Message`[get]`

## Detailed Description

The `UnexpectedInput` error indicates that the request contained a parameter or field whose name is not known by the server.

Every method expects parameters with known names. Some of those parameters may be (or contain) classs, and the method expects those classs to contain fields with known names. If the method receives parameters or fields with names that is does not expect, this error may be reported.

This error can be reported by the API infrastructure for any method, but it is specific to the API infrastructure, and should never be reported by the implementation of any method.

Examples:

- A client using stubs generated from the interface specification for version2 of a interface invokes the method passing one or more parameters that were added in version2, but they are communicating with a server that only supports version1 of the interface.
- A client provides an unexpected parameter or field name when invoking the method using a dynamic interface (for example REST).

## Constructor & Destructor Documentation

vmware::vapi::std::errors::UnexpectedInput::UnexpectedInput | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages,
|  | vmware.vapi.bindings.IStructure | data
| ) |  | `[inline]`

Creates a new instance of this type using the given arguments.

vmware::vapi::std::errors::UnexpectedInput::UnexpectedInput | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

override T vmware::vapi::std::errors::UnexpectedInput::_ConvertTo< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.data.StructValue vmware::vapi::std::errors::UnexpectedInput::_GetDataValue | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::UnexpectedInput::_GetType | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::UnexpectedInput::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override void vmware::vapi::std::errors::UnexpectedInput::_Validate | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::UnexpectedInput::Equals | ( | object | obj | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override int vmware::vapi::std::errors::UnexpectedInput::GetHashCode | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

## Property Documentation

override string vmware::vapi::std::errors::UnexpectedInput::Message`[get]`

Reimplemented from vmware::vapi::std::errors::Error.

The documentation for this class was generated from the following file:

- UnexpectedInput.cs